<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsArrayImpl&lt; T, D, I &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#af4475701885001e2b07b766fa094f8a5">append</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac40cf5e33e09da93153dfc641b512437">append</a>(const XsStringType &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a58c03e874460e4e60a312969b8b9e9a5">ArrayImpl</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af4a8a09b76de5953510ed25a03bebf5d">assign</a>(XsSize count, T const *src)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#af53b3b864be0d56412063f76ea1c8bdb">assign</a>(XsSize count, char const *src)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aba16d5d1dc6b9d0ca608181862de1241">at</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a46a1c7ff7e5d4988c33d35bf08ab8308">at</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab87a12cd68a6dd9020ee1d7034ba8e6a">begin</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a629c6df9fbdc4a6861f326f30e05aa11">begin</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a69bc072fa4aced3ba173664dfd37d71f">clear</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab2a0ffde73508f89f3ee366c68a5e0e4">comparePredicate</a>(ArrayImpl const &amp;other, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a4bf37fea37d44453185cc5fd4547181d">const_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a85668c8f88625ff7f779e32cd4fbdead">const_reverse_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad017c772fb280d3b04fc19cdeffb576d">descriptor</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a5b8745d1ca5f44697f44e0a14ce70e60">empty</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aaee1636bea8edc87bfb3a01a953c4cd8">end</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab95eeb98731c4f53d4a6fc66bee34ecf">end</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a653590ef8475765c6056759ccfcbc40d">erase</a>(XsSize index, XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9cb818ac9d46f2bc5f5f59f99c5586f9">erase</a>(iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aa594439a6b195a3dd4ecdd7d803e18ce">erase</a>(reverse_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a68e6a12614ecb71fe497f2b7587205ee">find</a>(T const &amp;needle) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6922305d3c845bf1df2f50302e0ab149">findPredicate</a>(T const &amp;needle, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ae518156a7bfdb993fbf9f13f018a3c5a">first</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af45e070011367b1c9a466518a257b188">indexOf</a>(IteratorImplBase&lt; F, R, Derived &gt; const &amp;it) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a297f6d4abadf1441a0e71bba8a4ca7d5">inherited</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af0c8dcf23f5ef1b26d63f01beff9afea">inherited</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6790d789e5d8c0d35e07520705eb1372">insert</a>(T const &amp;item, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad03ec08aec161c0dc3cbc1a19bf50536">insert</a>(T const *items, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a719b9c0058156a20b3ce59bd0f34c956">insert</a>(T const &amp;item, const_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a422e2405e120e8aa9dc9605dfeedabed">insert</a>(T const &amp;item, const_reverse_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6999a5877bf1d12cce5fb8d87b7fe8ed">insert</a>(T const *items, const_iterator it, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac5afd355f4ecbb39c2a2f2248ed9c101">insert</a>(T const *items, const_reverse_iterator it, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a13ee2edb10f0ebc456e8fe34e1a76475">insert</a>(char const *items, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#abe4afdbd3cd6894c0edfe8c5672b24a0">isEqualPredicate</a>(ArrayImpl const &amp;other, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac0696024e19be054db9321569879ff1f">iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac2e636b65a4ba574669fc89b4cb85120">last</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#ae9b9cac2f5f744895311f343e07ee6c1">m_data</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#abd1797e031ec46502cc2f43f2a07100d">m_descriptor</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#a9f4574fd74cedfc943e8e2bfa534e67f">m_flags</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#a9a81e31122b1cf37ced75d230407bd3a">m_reserved</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#a0793355de1a10a119d47ab5df4c51228">m_size</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0a308959583d2d73ed8fd26be9045b5f">operator!=</a>(ArrayImpl const &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0fb041bdf173932f7ac3d0a9f2a78e4b">operator&lt;&lt;</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a913725671690e80dc9eb6da765140362">operator=</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#a0d5f403a6fd0facdd372528d3bc2ea78">XsArray::operator=</a>(const XsArray &amp;src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#afd1593bdbfbfc559350726efd695a742">operator==</a>(ArrayImpl const &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad64d0e57f68074606418709b0c925005">operator[]</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af9f33f14d0f214af1a00e370595fc74b">operator[]</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7ce0120a2cc658cce39c8e1c0ae44e9c">pop_back</a>(XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a8cef27a420430a5a186d88b8e300c541">pop_front</a>(XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#abd38c9ed2e73d3f4bfe420919f3e12e8">push_back</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9f3a7233c177ecd8ea1406655504193b">push_front</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aca70dff557332449d95bee2f737d0ca3">rbegin</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a333f36bf89111701b2ae6eff5b9423b7">rbegin</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9d2343b34bce59739185d26094c2b2cf">removeDuplicates</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab43ba95a790126f8bb5229058373c869">removeDuplicatesPredicate</a>(XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a55a27a41ad7af853689490dbd0001f81">rend</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af1034022e354d5049c151a0c46805be8">rend</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aae0ba5636856263447b53fdb363e5388">reserve</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7138c383f1a9cf60637247b7a0000132">reserved</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aa4907f8e007835c98acd07799780bddb">resize</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad4ad819fdd9b49bea6aba29d763d125c">reverse</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a5177d2d4e65752b214e07ae3dac1f9e9">reverse_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad2bde4a8eec1673d24e323dc01a68041">setSize</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7fc40b9445b68fdc967385afe9bef31f">size</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a701102385b066f4a2100512bbf322826">size_type</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a222d9a7d4b2ad3271efd2c4490e86d18">sort</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6c4a5ef47d2c99a10fd9a39986b54b30">swap</a>(ArrayImpl &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a004dff3124fa1fac26270aad77682c48">value</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a45328c84515de8ad4112abcef9cbbd3e">value_type</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#aef16b8d4034c873176dec9742a83e6ac">XsArray</a>(XsArrayDescriptor const *descriptor, XsSize count=0, void const *src=0)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#a40a6e7331ef221bc2abeceb9b72e8e6b">XsArray</a>(const XsArray &amp;src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#af4ff96562e117bfcd424f9389f06c67e">XsArray</a>(XsArrayDescriptor const *descriptor, void *ref, XsSize count, XsDataFlags flags)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga6556d22268f56b6dbd77befdbdad0f68">XsArray_append</a>(void *, void const *other)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga7b75e01c27f76b4d91aaa135e4e1a5c3">XsArray_assign</a>(void *, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga4de36061187ffca3834ee403bfaff57d">XsArray_at</a>(void const *, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga5004f8c9e45e57e43b09d6160648591c">XsArray_atIndex</a>(void *, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga63b78f3e6c2315d7e9741a9336781c49">XsArray_compare</a>(void const *a, void const *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga5791e1de38d98c182bded026fe32be5c">XsArray_comparePredicate</a>(void const *a, void const *b, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga72561edb500d3e01c3aeb40de6d6a3db">XsArray_compareSet</a>(void const *a, void const *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga7222e508e1e5b424ba34648a4e31fd98">XsArray_construct</a>(void *, XsArrayDescriptor const *const descriptor, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga913d8e0e6cd77c2384b236e634e1881e">XsArray_copy</a>(void *, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga953d7cc7a9ecd8405f2d85b50edc0d56">XsArray_copyConstruct</a>(void *, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga754df4d700d8f759e3dd29aca3ab629f">XsArray_destruct</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaf58b413c81de5fca223fec5400d93497">XsArray_empty</a>(void const *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaf24f468427e969e5a5daecb55cd36288">XsArray_erase</a>(void *, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga6969403e331f28f7534cc2945ddcc09c">XsArray_find</a>(void const *, void const *needle)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga111e1736fbf35d3e27bd175e69ee30db">XsArray_findPredicate</a>(void const *, void const *needle, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga1698369198b2417d5b5021a660281297">XsArray_insert</a>(void *, XsSize index, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaa10ad30f3431b893da57aee83b1c36ab">XsArray_rawCopy</a>(void *to, void const *from, XsSize count, XsSize iSize)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gac8d1845c9e3d0e754c40807de07208d4">XsArray_removeDuplicates</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gad6fd24b950238efd3b37a8baa8035bdb">XsArray_removeDuplicatesPredicate</a>(void *, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga9e7d83d6428ea82a43d4c44167e75c54">XsArray_reserve</a>(void *, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaee0c5bdd163bb6ca4e295e4ae2f4d1bb">XsArray_resize</a>(void *, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gad632e91875917de99f559bbcbbdb3774">XsArray_reverse</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga4f5d82677d289cd44b222435cadce9df">XsArray_sort</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gad01697484c2c698f779345d64e199a5f">XsArray_swap</a>(void *a, void *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0eb23626aae5e3c15af552a089e0aca5">XsArrayImpl</a>(XsSize count=0, T const *src=0)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a44f27803f472243ce97522f3e2f18f73">XsArrayImpl</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a07fd3571fe220a1345598395d1014b87">XsArrayImpl</a>(Iterator const &amp;beginIt, Iterator const &amp;endIt)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a8dce16e9476285461111cf952ca149f5">XsArrayImpl</a>(T *ref, XsSize sz, XsDataFlags flags=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#aae0b944eec563d90e8ce5b3e765e1c70">~XsArray</a>()</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aeb442029bd4f4b4b1d4ff9ff20809593">~XsArrayImpl</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
